Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 250553 - Navigator: Distinguish methods, which implement methods from super-classes/interfaces
Navigator: Distinguish methods, which implement methods from super-classes/in...
Status: RESOLVED FIXED
Product: java
Classification: Unclassified
Component: Navigation
8.0.2
PC Windows 7
: P3 (vote)
: 8.1
Assigned To: Tomas Zezula
issues@java
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-02-19 17:28 UTC by markiewb
Modified: 2015-02-21 06:23 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description markiewb 2015-02-19 17:28:55 UTC
* Open the navigator for java class, which implements some interfaces

ACTUAL: in the navigator you cannot distingush if methods in the current class implement methods from interfaces/superclasses

EXPECTED: in the navigator you can distingush if methods in the current class implement methods from interfaces/superclasses - f.e. by an addition icon or icon overlay (f.e. a down arrow). 

That means every method in the class which has an @Override-annotation has that new icon/icon-overlay

NB 8.0.2

FYI: Idea and Eclipse JDT has this feature too
Comment 1 markiewb 2015-02-19 17:37:32 UTC
The overlay icon could be a litte i-character or o-character
Comment 2 Tomas Zezula 2015-02-19 20:29:10 UTC
Makes sense.
I will look to Idea how the icon should look like.
Thanks
Comment 3 Tomas Zezula 2015-02-20 14:02:00 UTC
Fixed jet-main 7096e9fa56f6
Done as in Idea. If the method overrides some method a ↑ and type from which the method is overridden is appended to the item. It provides more info compared to the icon it tells from which type the method is overridden.
Example:

toString():String ↑ Object
Comment 4 Quality Engineering 2015-02-21 06:23:27 UTC
Integrated into 'main-silver', will be available in build *201502210001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/7096e9fa56f6
User: Tomas Zezula <tzezula@netbeans.org>
Log: #250553:Navigator: Distinguish methods, which implement methods from super-classes/interfaces


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo